=== modified file 'gnulib/Makefile.am'
--- gnulib/Makefile.am	2009-07-28 00:45:16 +0000
+++ gnulib/Makefile.am	2010-01-02 04:53:48 +0000
@@ -27,13 +27,13 @@
 MAINTAINERCLEANFILES =
 
 noinst_LTLIBRARIES += libgnu.la
-AM_CFLAGS= 
 
 libgnu_la_SOURCES =
 libgnu_la_LIBADD = $(gl_LTLIBOBJS)
 libgnu_la_DEPENDENCIES = $(gl_LTLIBOBJS)
 EXTRA_libgnu_la_SOURCES =
 libgnu_la_LDFLAGS = $(AM_LDFLAGS)
+libgnu_la_CFLAGS = $(AM_CFLAGS) $(NO_WERROR)
 
 ## begin gnulib module getopt
 

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-01-01 20:10:49 +0000
+++ m4/pandora_canonical.m4	2010-01-02 04:53:48 +0000
@@ -4,13 +4,23 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.90])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.91])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
+  AC_ARG_ENABLE([fat-binaries],
+    [AS_HELP_STRING([--enable-fat-binaries],
+      [Enable fat binary support on OSX @<:@default=off@:>@])],
+    [ac_enable_fat_binaries="$enableval"],
+    [ac_enable_fat_binaries="no"])
+
   dnl Force dependency tracking on for Sun Studio builds
   AS_IF([test "x${enable_dependency_tracking}" = "x"],[
     enable_dependency_tracking=yes
   ])
+  dnl If we're building OSX Fat Binaries, we have to turn off -M options
+  AS_IF([test "x${ac_enable_fat_binaries}" = "xyes"],[
+    enable_dependency_tracking=no
+  ])
 ])
 
 dnl The standard setup for how we build Pandora projects
@@ -232,5 +242,6 @@
   AC_SUBST([AM_CFLAGS])
   AC_SUBST([AM_CXXFLAGS])
   AC_SUBST([AM_CPPFLAGS])
+  AC_SUBST([AM_LDFLAGS])
 
 ])

=== modified file 'm4/pandora_platform.m4'
--- m4/pandora_platform.m4	2009-09-22 21:56:03 +0000
+++ m4/pandora_platform.m4	2010-01-02 04:53:48 +0000
@@ -74,4 +74,12 @@
       [Cause Sun Studio to not be quite so strict with standards conflicts])
   ])
 
+  AS_IF([test "x$TARGET_OSX" = "xtrue"],[
+    AS_IF([test "x$ac_enable_fat_binaries" = "xyes"],[
+      AM_CFLAGS="-arch i386 -arch x86_64 -arch ppc"
+      AM_CXXFLAGS="-arch i386 -arch x86_64 -arch ppc"
+      AM_LDFLAGS="-arch i386 -arch x86_64 -arch ppc"
+    ])
+  ])
+
 ])

